Subject: Re: GSoC 2010: "Integrated Web Client for git" proposal

From: Petr Baudis <[email-masked]>
Date: Tue, 20 Apr 2010 14:07:31 +0200

On Mon, Apr 19, 2010 at 11:33:49PM +0530, Pavan Kumar Sunkara wrote:
> Implementing a proper and perfect file editor will be a tough job. So,
> I removed it from GSoC and listed in that section.
> But we can always have a simple textarea to implement it and I think I
> will have time to do this simple textarea during my GSoC.

Of course we meant just plain textarea, I think that's more than enough.
I think this would be rather important part of the project.

For later, there's also plenty of javascript editors available that can
be used as drop-ins, though I'm not sure if any of them is programming
oriented. At any rate, I don't see why text editor like this would be
gitweb-specific.

-- 
				Petr "Pasky" Baudis
http://pasky.or.cz/ | "Ars longa, vita brevis." -- Hippocrates